#include <string>
#include <vector>
#include <utility>
#include <map>

#include "project.h"
#include "content.h"
#include "projectPresenter.h"

using namespace std;

int ProjectPresenter::attachProject(Project* newProject) {
  project = newProject;
  return 1;
}

vector<pair<string, ContentType> >* ProjectPresenter::enumerateContents() {
  vector<pair<string, ContentType> >* contentList = new vector<pair<string, ContentType> >;
  map<string, Content*>::iterator it = project->contentsByName->begin();
  for(it = project->contentsByName->begin(); it != project->contentsByName->end(); it++) {
    contentList->push_back(make_pair(it->first, it->second->contentType));
  }
  return contentList;
}

string ProjectPresenter::getProjectName() {
  return project->getName();
}
